#include "glut_manager.h"

using namespace std;

/***************************************************************************/

Glut_Application* Glut_Application::instance_ = 0;

int Glut_Application::addWindow(int x, int y, int width, int height,
								std::string windowName, Glut_Callbacks cb)
{
	glutInitWindowPosition(x, y);
	glutInitWindowSize(width, height);
	glutInitDisplayMode(GLUT_RGBA | GLUT_DOUBLE);

	int w = glutCreateWindow(windowName.c_str());
	windows[w] = cb;
	cb.setGlutCallbacks();
	return w;
}

int Glut_Application::addWindow(int x, int y, std::string windowName,
								Glut_Callbacks cb)
{
	return addWindow(x, y, 
					 defaultWidth, defaultHeight,
					 windowName, cb);
}

int Glut_Application::addWindow(std::string windowName, 
								Glut_Callbacks cb)
{
	return addWindow(defaultX, defaultY,
					 defaultWidth, defaultHeight,
					 windowName, cb);
}

/***************************************************************************/

void Glut_Application::run()
{
	glutMainLoop();
}

/***************************************************************************/
