#include "utils.h"

#include <GL/glut.h>
#include <Cg/cg.h>

#include <iostream>

using namespace std;

/***************************************************************************/

void check_gl_errors(const char *msg)
{
	bool failed = false;
	GLuint e = glGetError();
	while (e != GL_NO_ERROR) {
		cout << "GL Error at " << msg << ": " << gluErrorString(e) << endl;
		failed = true;
		e = glGetError();
	}
	if (failed)
		exit(1);
}

/***************************************************************************/

void check_cg_errors(const char *msg)
{
	bool failed = false;
	CGerror e = cgGetError();
	while (e) { 
		cout << "CG Error at " << msg << ": " << cgGetErrorString(e) << endl;
		failed = true;		
		e = cgGetError();
	};
	if (failed)
		exit(1);
}

/***************************************************************************/

#ifdef _DEBUG
void check_errors(const char *msg)
{
	check_gl_errors(msg);
	check_cg_errors(msg);
}
#endif

#ifdef _RELEASE
void check_errors(const char*) {}
#endif

/***************************************************************************/